/*
Charis' easel.  Pre-loaded with all her favorite paintings...
*/
"use strict";

var GO_CharisEasel = function(facing){
	facing = facing ? facing : 0;
	
	this.sprite = new Sprite(GO_CharisEasel.spriteSheet,"CharisEasel");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,0,15,15);
	this.sprite.game_object = this; // no longer a generic GO
		
	this.facing = (facing>0) ? 1 : -1;
	this.sprite.frame=0;
	if (this.facing<0) this.sprite.frame+=16;
};
GO_CharisEasel.spriteImg = SDS_Load_Image("art/sheets/sprite/charis_easel.png");
GO_CharisEasel.spriteSheet = new TileSheet(4, 4, 4, 1, GO_CharisEasel.spriteImg);

GO_CharisEasel.prototype = new GameObject(
	new Sprite(
		GO_CharisEasel.spriteSheet,
		"CharisEasel"
	),
	"CharisEasel"
	);

	GO_CharisEasel.prototype.interactions = 0;

	GO_CharisEasel.prototype.paint = function(soulname){
		var imageIndex=0;
		switch(soulname){
			case "BOBO":
				imageIndex=4;
			break;
			case "YORICK":
				imageIndex=3;
			break;
			case "PAOLA":
				imageIndex=2;
			break;
			case "GUY":
				imageIndex=1;
			break;
			//case "BY_CASTLE":
			//case "MELI":
			default:
				imageIndex=0;
			break;
		}
		this.sprite.frame=imageIndex;
		if (this.facing<0) this.sprite.frame+=16;


	}

	GO_CharisEasel.prototype.Update = function(){
		
	}
